# -*- coding:Utf-8 -*-
import es, psyco, playerviewlib
psyco.full()

# create server command "playerview"
if not es.exists("command", "playerview"):
    es.regcmd("playerview", "playerview/command", "playerview: get userid or index that player is aiming")

def command():
    # check count of argument
    if es.getargc() < 4: es.dbgmsg(
        0,
        "\nSyntax: playerview <function> <userid> <script/block> [classname]\n  functions can be:\n" +
        '    * "entity" for get index of viewed entity\n' +
        '    * "player" for get userid of viewed player\n' +
        '    * "weapon" for get index of viewed weapon\n' +
        '    * "coord" for get coordinates where the player is aiming\n\n')

    else:
        # get function, userid and block to execute
        function, userid, block, entityname = es.getargv(1), es.getargv(2), es.getargv(3), es.getargv(4)
        # check if block is executable
        if not es.exists("block", block): raise ValueError, 'playerview: cannot find block "%s"' % block

        entityname = entityname if entityname <> "0" else ""
        playerview = playerviewlib.PlayerView(userid)
        playerview.block = block

        # get index of entity
        if function == "entity": playerview.entity(entityname)
        # get userid of player
        elif function == "player": playerview.player()
        # get index of weapon
        elif function == "weapon": playerview.weapon(entityname)
        # get coordinates where the player is aiming
        elif function == "coord": playerview.coord()
